explain_getaddrinfo_or_die(3)

NAME
explain_getaddrinfo_or_die - network address translation and report errors

SYNOPSIS
#include <libexplain/getaddrinfo.h>

void explain_getaddrinfo_or_die(const char *node, const char *service, const struct addrinfo *hints, struct addrinfo **res);

DESCRIPTION
The explain_getaddrinfo_or_die function is used to call the getaddrinfo(3) system call. On failure, an explanation will be printed to stderr, obtained from explain_getaddrinfo(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_getaddrinfo_or_die(node, service, hints, res);

node
    The node, exactly as to be passed to the getaddrinfo(3) system call.

service
    The service, exactly as to be passed to the getaddrinfo(3) system call.

hints
    The hints, exactly as to be passed to the getaddrinfo(3) system call.

res The res, exactly as to be passed to the getaddrinfo(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

getaddrinfo(3)
    network address and service translation

explain_getaddrinfo(3)
    explain getaddrinfo(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller